Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Interface ResourceAdminService

    public interface ResourceAdminService

This interface defines methods to manage the resources tree in the report server.

fullFmtdNodePath is full formated name of a node. It is like the following:

> (R)/(R)Tutorial/(C)mycat.cat/(RptH)myrpt.cls

Each string inside parenthese indicates the type of that node:

> (R)name - Resource Node
> (D)name - Virtual Resource Node of directory
> (F)name - Virtual Resource Node of normal file
> (C)name - Virtual Resource Node of catalog
> (Rpt)name -Virutual Resource Node of report
> (DH)name - Unreachable Virtual Resource Node of directory
> (FH)name - Unreachable Virtual Resource Node of normal file
> (CH)name - Unreachable Virtual Resource Node of catalog
> (RptH)name -Unreachable Virutual Resource Node of report

Since:
  5.0

Field Summary
`static int` | `FORMATEDNODE_ALL` Deprecated. As of version 6, it has not effective.
`static int` | `FORMATEDNODE_CATRPT` Deprecated. As of version 6, it has not effective.
`static int` | `FORMATEDNODE_WORKING` Deprecated. As of version 6, it has not effective.

Method Summary
`java.lang.String` | `addNode(java.lang.String realm, java.lang.String parentPath, byte nodeType, java.util.Hashtable htNode)` Add a node into resource tree in specific realm.
`java.lang.String` | `addResourceNode(java.lang.String realm, java.lang.String fullFmtdNodePath, java.lang.String newNodeName, java.lang.String realPath)` Deprecated. As of version 6, it has not effective.
`void` | `addResourceReachable(java.lang.String realm, java.lang.String fullFmtdNodePath, java.util.Vector reachableFiles)` Deprecated. As of version 6, it has not effective.
`void` | `declareVirtualNode(java.lang.String realm, java.lang.String fullFmtdNodePath, boolean subCanReachable)` Deprecated. As of version 6, it has not effective.
`void` | `deleteNode(java.lang.String realm, java.lang.String nodePath)` Delete the specific node.
`void` | `deleteResourceNode(java.lang.String realm, java.lang.String fullFmtdNodePath)` Deprecated. As of version 6, it has not effective.
`void` | `editNode(java.lang.String realm, java.lang.String nodePath, java.util.Hashtable htNode)` Edit specific resource node.
`void` | `editResourceNode(java.lang.String realm, java.lang.String fullFmtdNodePath, java.lang.String resName, java.lang.String realpath, java.lang.String description, boolean reachable, boolean isMapSharedDisk)` Deprecated. As of version 6, it has not effective.
`ResourceNodeInfo` | `getResourceNodeInfo(java.lang.String realm, java.lang.String fullFmtdNodePath)` Deprecated. As of version 6, it has not effective.
`java.util.Vector` | `getSubRscNodesInfo(java.lang.String realm, java.lang.String fullFmtdNodePath, int listType)` Deprecated. As of version 6, it has not effective.
`void` | `setVirtualReachable(java.lang.String realm, java.lang.String fullFmtdNodePath, boolean reachable)` Deprecated. As of version 6, it has not effective.

Field Detail

### FORMATEDNODE_CATRPT

    static final int FORMATEDNODE_CATRPT

  Deprecated. As of version 6, it has not effective.
  The resource node type: all sub resource nodes, catalogs and their reports.

  See Also:
    Constant Field Values

### FORMATEDNODE_WORKING

    static final int FORMATEDNODE_WORKING

  Deprecated. As of version 6, it has not effective.
  The resource node type: all working resource nodes.

  See Also:
    Constant Field Values

### FORMATEDNODE_ALL

    static final int FORMATEDNODE_ALL

  Deprecated. As of version 6, it has not effective.
  The resource node type: all resource nodes.

  See Also:
    Constant Field Values

Method Detail

### addResourceNode

    java.lang.String addResourceNode(java.lang.String realm,
                                     java.lang.String fullFmtdNodePath,
                                     java.lang.String newNodeName,
                                     java.lang.String realPath)
                                     throws NoSuchRealmException,
                                            UnknownMIMEType,
                                            UnknownResource,
                                            ResourceAdminServiceException,
                                            ResourceInfoException

  Deprecated. As of version 6, it has not effective.

  Add a resource node into resource tree in specific realm.

  Parameters:
    `realm` - the realm which exist resource tree.
    `fullFmtdNodePath` - the full formated path of the resourcenode. For example: (R)/(R)SunVMDemo.
    `newNodeName` - the name of new adding resource node.
    `realPath` - the relative real path for new adding resource node.
  Returns:
    the new node name.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`

### deleteResourceNode

    void deleteResourceNode(java.lang.String realm,
                            java.lang.String fullFmtdNodePath)
                            throws NoSuchRealmException,
                                   UnknownMIMEType,
                                   UnknownResource,
                                   ResourceAdminServiceException,
                                   ResourceInfoException

  Deprecated. As of version 6, it has not effective.

  Delete the specific resource node.

  Parameters:
    `realm` - the realm which exist resource tree.
    `fullFmtdNodePath` - the full formated path of the resourcenode. For example: (R)/(R)SunVMDemo.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`

### editResourceNode

    void editResourceNode(java.lang.String realm,
                          java.lang.String fullFmtdNodePath,
                          java.lang.String resName,
                          java.lang.String realpath,
                          java.lang.String description,
                          boolean reachable,
                          boolean isMapSharedDisk)
                          throws NoSuchRealmException,
                                 java.io.IOException,
                                 UnknownResource,
                                 UnknownMIMEType,
                                 ResourceAdminServiceException,
                                 ResourceInfoException

  Deprecated. As of version 6, it has not effective.

  Edit specific resource node.

  Parameters:
    `realm` - the realm which exist resource tree.
    `fullFmtdNodePath` - the full formated path of the resourcenode. For example: (R)/(R)SunVMDemo.
    `resName` - the new name about editing resource node.
    `realpath` - the new real path about editing resource node.
    `description` - the information which user described for the resource node.
    `reachable` - the sub nodes if reachable.
    `isMapSharedDisk` - if this resource node map to a shared disk.
  Throws:
    `NoSuchRealmException` - IOException UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.io.IOException`
    `UnknownResource`
    `UnknownMIMEType`
    `ResourceAdminServiceException`
    `ResourceInfoException`

### addResourceReachable

    void addResourceReachable(java.lang.String realm,
                              java.lang.String fullFmtdNodePath,
                              java.util.Vector reachableFiles)
                              throws NoSuchRealmException,
                                     UnknownResource,
                                     UnknownMIMEType,
                                     ResourceAdminServiceException,
                                     java.io.IOException

  Deprecated. As of version 6, it has not effective.

  Add Reachable files to Resource Node.

  Parameters:
    `realm` - the realm which exist resource tree.
    `fullFmtdNodePath` - the full formated path of the resourcenode. For example: (R)/(R)SunVMDemo.
    `reachableFiles` - the filename add to resource node.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException IOException
    `UnknownResource`
    `UnknownMIMEType`
    `ResourceAdminServiceException`
    `java.io.IOException`

### declareVirtualNode

    void declareVirtualNode(java.lang.String realm,
                            java.lang.String fullFmtdNodePath,
                            boolean subCanReachable)
                            throws NoSuchRealmException,
                                   UnknownResource,
                                   UnknownMIMEType,
                                   java.io.IOException,
                                   ResourceInfoException

  Deprecated. As of version 6, it has not effective.

  Declare specific virtual resource node as resource node.

  Parameters:
    `realm` - the realm which exist resource tree.
    `fullFmtdNodePath` - the full format path of the virtual resnode
    `subreachable` - the sub nodes if reachable.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource IOException ResourceInfoException
    `UnknownResource`
    `UnknownMIMEType`
    `java.io.IOException`
    `ResourceInfoException`

### setVirtualReachable

    void setVirtualReachable(java.lang.String realm,
                             java.lang.String fullFmtdNodePath,
                             boolean reachable)
                             throws NoSuchRealmException,
                                    UnknownResource,
                                    UnknownMIMEType,
                                    java.io.IOException,
                                    ResourceInfoException

  Deprecated. As of version 6, it has not effective.

  Set specific virtual resource node if reachable.

  Parameters:
    `realm` - the realm which exist resource tree.
    `fullFmtdNodePath` - the full format path of the virtual resource node
    `reachable` - if it including the sub nodes reachable.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource IOException ResourceInfoException
    `UnknownResource`
    `UnknownMIMEType`
    `java.io.IOException`
    `ResourceInfoException`

### getResourceNodeInfo

    ResourceNodeInfo getResourceNodeInfo(java.lang.String realm,
                                         java.lang.String fullFmtdNodePath)
                                         throws NoSuchRealmException,
                                                UnknownResource,
                                                UnknownMIMEType,
                                                java.io.IOException

  Deprecated. As of version 6, it has not effective.

  Get a speficied resource node infomation

  Parameters:
    `realm` - the realm which exist resource node.
    `fullFmtdNodePath` - the full formated path of the node. For example: (R)/(R)SunVMDemo.
  Returns:
    ResourceNodeInfo
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource IOException
    `UnknownResource`
    `UnknownMIMEType`
    `java.io.IOException`

### getSubRscNodesInfo

    java.util.Vector getSubRscNodesInfo(java.lang.String realm,
                                        java.lang.String fullFmtdNodePath,
                                        int listType)
                                        throws NoSuchRealmException,
                                               UnknownResource,
                                               UnknownMIMEType,
                                               java.io.IOException

  Deprecated. As of version 6, it has not effective.

  Get a speficied tree node's sub infomation

  Parameters:
    `realm` - the realm which exist resource node.
    `fullFmtdNodePath` - the full formated path of the node. For example: (R)/(R)SunVMDemo.
    `listType` - FORMATEDNODE_CATRPT List all sub resource nodes, catalogs and their reports as well
    FORMATEDNODE_WORKING List all working resource
    FORMATEDNODE_ALL List all resource
  Returns:
    the sub node's infomation. Vector contains ResourceNodeInfo object.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource IOException
    `UnknownResource`
    `UnknownMIMEType`
    `java.io.IOException`

### addNode

    java.lang.String addNode(java.lang.String realm,
                             java.lang.String parentPath,
                             byte nodeType,
                             java.util.Hashtable htNode)
                             throws NoSuchRealmException,
                                    UnknownMIMEType,
                                    UnknownResource,
                                    ResourceAdminServiceException,
                                    ResourceInfoException

  Add a node into resource tree in specific realm.

  Parameters:
    `realm` - the realm which exist resource tree.
    `parentPath` - the parent path to specify which node new resource node will add into. For example: /SunVMDemo.
    `nodeType` - new adding node type
    `htNode` - properties of new node, ie. new node name, description, realPaht(folder and resource), max version amount(resource), etc.
  Returns:
    the new node name.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

### deleteNode

    void deleteNode(java.lang.String realm,
                    java.lang.String nodePath)
                    throws NoSuchRealmException,
                           UnknownMIMEType,
                           UnknownResource,
                           ResourceAdminServiceException,
                           ResourceInfoException

  Delete the specific node.

  Parameters:
    `realm` - the realm which exist resource tree.
    `nodePath` - the full node path of the node. For example: /SunVMDemo.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

### editNode

    void editNode(java.lang.String realm,
                  java.lang.String nodePath,
                  java.util.Hashtable htNode)
                  throws NoSuchRealmException,
                         java.io.IOException,
                         UnknownResource,
                         UnknownMIMEType,
                         ResourceAdminServiceException,
                         ResourceInfoException

  Edit specific resource node.

  Parameters:
    `realm` - the realm which exist resource tree.
    `nodePath` - the full path of the node. For example: /SunVMDemo.
    `htNode` - new properties of specified node, ie. new node name, description, realPaht(folder and resource), max version amount(resource), etc.
  Throws:
    `NoSuchRealmException` - IOException UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.io.IOException`
    `UnknownResource`
    `UnknownMIMEType`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD